<?xml version="1.0" encoding="UTF-8"?>

<!--
  ~
  ~      Copyright (c) 2018-2025, lengleng All rights reserved.
  ~
  ~  Redistribution and use in source and binary forms, with or without
  ~  modification, are permitted provided that the following conditions are met:
  ~
  ~ Redistributions of source code must retain the above copyright notice,
  ~  this list of conditions and the following disclaimer.
  ~  Redistributions in binary form must reproduce the above copyright
  ~  notice, this list of conditions and the following disclaimer in the
  ~  documentation and/or other materials provided with the distribution.
  ~  Neither the name of the pig4cloud.com developer nor the names of its
  ~  contributors may be used to endorse or promote products derived from
  ~  this software without specific prior written permission.
  ~  Author: lengleng (wangiegie@gmail.com)
  ~
  -->

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.jiayue.ipp.idp.mapper.NwpHisMapper">

    <resultMap id="nwpHisMap" type="com.jiayue.ipp.common.data.entity.NwpHis">
        <id property="id" column="id"/>
        <result property="stationCode" column="station_code"/>
        <result property="forecastHowLongAgo" column="forecast_how_long_ago"/>
        <result property="genDate" column="gen_date"/>
        <result property="preTime" column="pre_time"/>
        <result property="scDate" column="sc_date"/>
        <result property="scTime" column="sc_time"/>
        <result property="preDate" column="pre_date"/>
        <result property="t" column="t"/>
        <result property="rh" column="rh"/>
        <result property="pressure" column="pressure"/>
        <result property="swr" column="swr"/>
        <result property="lwr" column="lwr"/>
        <result property="directRadiation" column="direct_radiation"/>
        <result property="diffuseRadiation" column="diffuse_radiation"/>
        <result property="senf" column="senf"/>
        <result property="ws10" column="ws10"/>
        <result property="ws30" column="ws30"/>
        <result property="ws50" column="ws50"/>
        <result property="ws70" column="ws70"/>
        <result property="ws80" column="ws80"/>
        <result property="ws90" column="ws90"/>
        <result property="ws100" column="ws100"/>
        <result property="ws170" column="ws170"/>
        <result property="wd10" column="wd10"/>
        <result property="wd30" column="wd30"/>
        <result property="wd50" column="wd50"/>
        <result property="wd70" column="wd70"/>
        <result property="wd80" column="wd80"/>
        <result property="wd90" column="wd90"/>
        <result property="wd100" column="wd100"/>
        <result property="wd170" column="wd170"/>
        <result property="creator" column="creator"/>
        <result property="createTime" column="create_time"/>
        <result property="lastModifier" column="last_modifier"/>
        <result property="lastModifyTime" column="last_modify_time"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>
</mapper>
